Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 02 Oct 2021 03:19:00 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order?  Hello,  
Its my order id 6354923277 i placed my order on 25 September i still not received 6 working days has been over today delivery boy msg me on whats app he asked about location i sended him than he say i will come tomorrow  why he saying that its already late 2 days that order i have to give gift today my brother birthday  your delivery man saying he will come tomorrow. I need today on urgent basis otherwise i will complained on top many many is hppndd your delivery service is not good m not satisfied your online shopping really worst experience centrepoint. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3171482